{% extends "base.html" %}
{% load i18n wagtailcore_tags wagtailroutablepage_tags static puput_tags %}

{% block title %}
  {{ blog_page.title }}{% if blog_page.description %} | {{ blog_page.description }}{% endif %}
{% endblock title %}
{% block meta_title %}
  <meta name="title" content="
    {% if blog_page.seo_title %}
      {{ blog_page.seo_title }}
    {% else %}
      {{ blog_page.title }}
    {% endif %}
  " />
{% endblock meta_title %}
{% block social_share %}{% endblock social_share %}
{% block canonical %}{% endblock canonical %}

{% block extra-css %}
  <link rel="stylesheet" type="text/css" href="{% static 'css/puput.css' %}"/>
{% endblock extra-css %}
{% block content %}
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <h1><a href="{% pageurl blog_page %}">{{ blog_page.title }}</a></h1>
        <p>{{ blog_page.description }}</p>
      </div>
    </div>
  </div>
  <div class="container">
    <div class="row">
      <div class="col-sm-8 col-md-8">
        {% block blog_content %}{% endblock blog_content %}
        {% block extra_blog_content %}{% endblock extra_blog_content %}
      </div>

      <div class="col-sm-4 col-md-4">
        <div class="blog_sidebar">
          <div class="rss-sitemap">
            <a href="{% feeds_url blog_page %}" target="_blank" title="RSS">
               <i class="fa fa-rss-square"></i> <span>{% trans 'Feed RSS' %}</span>
            </a>
          </div>
          <form name="search_form" class="search_form" method="get" action="{% routablepageurl blog_page "entries_search" %}">
            <div class="input-group">
               <input type="search" name="q" placeholder="{% trans 'Search' %}">
               <span class="input-group-btn">
                <button class="btn btn-default" type="submit"><i class="fa fa-search"></i></button>
               </span>
            </div>
          </form>

          {% if blog_page.display_last_entries %}
            <ul class="sidebar">
              <h4>{% trans 'Last Entries' %}</h4>
              {% recent_entries blog_page.num_last_entries %}
            </ul>
          {% endif %}
          {% if blog_page.display_popular_entries %}
            <ul class="sidebar">
              <h4>{% trans 'Popular Entries' %}</h4>
              {% popular_entries blog_page.num_popular_entries %}
            </ul>
          {% endif %}
          {% if blog_page.display_categories %}
            <ul class="sidebar">
              <h4>{% trans 'Categories' %}</h4>
              {% categories_list %}
            </ul>
          {% endif %}
          {% if blog_page.display_tags %}
            <ul class="sidebar">
              <h4>{% trans 'Tags' %}</h4>
              {% tags_list %}
            </ul>
          {% endif %}
          {% if blog_page.display_archive %}
            <ul class="sidebar widget menu">
              <h4>{% trans 'Archive' %}</h4>
              {% archives_list %}
            </ul>
          {% endif %}
        </div>
      </div>
    </div>
  </div>
{% endblock content %}
{% block extra-js %}
  <script src="{% static 'puput/js/puput.js' %}"></script>
{% endblock extra-js %}
